org.eclipse.wst.jsdt.chromium.debug.core.model

## Class IPredefinedSourceWrapProvider.Access

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.IPredefinedSourceWrapProvider.Access

Enclosing interface:
  IPredefinedSourceWrapProvider

    public static class IPredefinedSourceWrapProvider.Access
    extends java.lang.Object

Provides a standard mean of accessing instance of this interface. It uses Eclipse/OSGI extension registry.

### Field Summary

Fields
`static java.lang.String` `CLASS_PROPERTY`
`static java.lang.String` `ELEMENT_NAME`
`static java.lang.String` `EXTENSION_POINT_ID`

### Constructor Summary

Constructors
Constructor and Description
`Access()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Map<java.lang.String,IPredefinedSourceWrapProvider.Entry>` `getEntries()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EXTENSION_POINT_ID

    public static final java.lang.String EXTENSION_POINT_ID

See Also:
  Constant Field Values

#### ELEMENT_NAME

    public static final java.lang.String ELEMENT_NAME

See Also:
  Constant Field Values

#### CLASS_PROPERTY

    public static final java.lang.String CLASS_PROPERTY

See Also:
  Constant Field Values

### Constructor Detail

#### Access

    public Access()

### Method Detail

#### getEntries

    public static java.util.Map<java.lang.String,IPredefinedSourceWrapProvider.Entry> getEntries()

Returns:
  all entries from all providers in for of id-to-entry map